.link_author {
    display: flex;
    flex-direction: row;
    align-items: center;
}

#world_author_nickname {
    padding-left: 10px;
}

#makeup_container {
    overflow: scroll;
}

#noAvatars {
    width: 100%;
    height: 70px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    padding: 10px;
}

.clearfix:after,
.tab-nav:after {
    content: ".";
    display: block;
    height: 0;
    clear: both;
    visibility: hidden;
}

#container {
    background: white;
    /* height: 100vh; */
}


.makeup_item {
    width: 15.6%;
    /* height: 80px; */
    box-shadow: 0px 0px 10px -4px #ccc;
    margin: 2px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
}

.makeup_item img {
    border: 5px solid white;
    border-radius: 4px;
}

/* 
#makeup_resources_item:after{
    content: "";
    width: 20%;
    height: 0;
    visibility: hidden;
} */

section {
    background-color: white;
}

.loading {
    width: 100%;
    height: 100%;
    background-color: rgba(232, 229, 237, 0.6);
    display: none;
    position: absolute;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 10000;
}

.makeupCtrl {
    width: 100%;
    display: flex;
    /* justify-content: center; */
    align-items: center;
}

.action {
    border: 5px solid #5bccfb !important;
    /* width: 70px;
    height: 70px;
    border: 5px solid orange !important;
    border-radius: 10px; */
}

section img {
    width: 70px;
    height: 70px;
    border: 5px solid white;
    border-radius: 10px;
}

.tab-group {
    margin: 0;
    border: 0;
    position: relative;
    width: 100%;
    border: 1px solid #eee;
    /* margin-top: 2.5em; */
    border-radius: 0 0 10px 10px;
    /* overflow-x: scroll; */
}

.tab-group section {
    opacity: 0;
    height: 0;
    padding: 0 1em;
    overflow: scroll;
    transition: opacity 0.4s ease, height 0.4s ease;
}

.tab-group section.active {
    opacity: 1;
    height: auto;
    overflow: visible;
}

.tab-nav {
    list-style: none;
    /* margin: -2.5em -1px 0 0; */
    margin: 0;
    padding: 0;
    height: 66px;
    overflow-x: scroll;
    display: flex;
    flex-direction: row;
    width: 100%;
}

.tab-nav li {
    display: inline;
    white-space: nowrap;
}

.tab-nav li a {
    top: 1px;
    position: relative;
    display: block;
    float: left;
    border-radius: 10px 10px 0 0;
    background: #eee;
    line-height: 30px;
    padding: 0 10px;
    text-decoration: none;
    color: grey;
    margin-top: 10px;
    margin-right: 1px;
    transition: background .2s ease, line-height .2s ease, margin .2s ease;
}

.tab-nav li.active a {
    background: #6EB590;
    color: white;
    line-height: 40px;
    margin-top: 0;
}


/*  */
/*  */
/*  */
/*  */
/*  */
/*  */
/*  */
/*  */
/*  */
/*  */
.tabs {
    margin: 0;
    list-style: none;
    /* margin: -2.5em -1px 0 0; */
    padding: 0;
    /* height: 2.5em; */
    overflow-x: scroll;
    display: flex;
    flex-direction: row;
    width: 100%;
}

.tabs li {
    display: inline;
    white-space: nowrap;
}

.tabs input[type="radio"] {
    position: absolute;
    top: -9999px;
    left: -9999px;
}

.tabs label {
    top: 1px;
    position: relative;
    display: block;
    float: left;
    border-radius: 10px 10px 0 0;
    background: #eee;
    line-height: 30px;
    padding: 0 10px;
    text-decoration: none;
    color: grey;
    margin-top: 10px;
    margin-right: 1px;
    transition: background .2s ease, line-height .2s ease, margin .2s ease;
}

.tabs_clicked {
    background: #6EB590 !important;
    color: white !important;
    line-height: 40px !important;
    margin-top: 0 !important;

}

.tabs [id^="tab"]:checked+label {
    top: 0;
    padding-top: 17px;
    background: white;
}

/*  */
/*  */
/*  */
/*  */
/*  */
/*  */
/*  */
/*  */
/*  */
/*  */
.makeup_hair_color_panel,
.makeup_skin_color_panel,
.makeup_beard_color_panel {
    display: flex;
    width: 100%;
    height: 44px;
    align-items: center;
    justify-items: center;
}


.makeup_hair_color_panel .listName,
.makeup_skin_color_panel .listName,
.makeup_beard_color_panel .listName {
    display: inline-block;
    vertical-align: middle;
    font-size: 16px;
    color: #333;
    margin: 0 1.5px;
}

.fairFlip,
.itemColor {
    display: inline-block;
    vertical-align: middle;
    /* width: 80px;
    height: 80px; */
    width: auto;
    height: auto;
    max-width: 100%;
    max-height: 100%;
    border-radius: 50%;
    margin: 0 3.5px;
    cursor: pointer;
}

.hair_style_color,
#flip {
    /* width: 80px;
    height: 80px; */
    width: auto;
    height: auto;
    max-width: 100%;
    max-height: 100%;
}

.fairFlip img,
.itemColor img {
    cursor: pointer;
    /* width: 24px; */
}


.avatar_icon_container {
    width: 60px;
    height: 60px;
    /* border: 1px dotted red; */
    position: relative;
    border: 5px solid white;
}

.avatar_icon_container_action {
    border: 5px solid #5bccfb !important;
    border-radius: 4px;
}

.avatar_icon_container_use {
    border: 5px solid #ffc648 !important;
    border-radius: 4px;
}

.avatar_icon_content {
    display: flex;
    justify-content: center;
    width: 60px;
    height: 60px;
}

.avatar_icon_delete {
    width: 40px;
    height: 40px;
    border-radius: 60%;
    position: absolute;
    top: -20px;
    right: -20px;
}

.avatar_icon_restart {
    width: 40px;
    height: 40px;
    border-radius: 60%;
    position: absolute;
    top: -20px;
    left: -10px;
}

.div-a {
    position: absolute;
    border: 1px solid white;
    /* left: 30px;
    top: 30px; */
    /* background: #F00; */
    /* width: 200px;
    height: 100px */
    /* width: 60px; */
    /* height: 60px; */
}

.div-a-action {
    border: 1px solid #5bccfb !important;
}


.div-b {
    position: absolute;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    /* left: 50px;*/
    top: 30%;
    /* background: #FF0; */
    /* width: 400px;
    height: 200px */
}



.makeup_area {
    width: 100%;
    height: 44%;
    position: absolute;
    background-color: #ccc;
    bottom: 0;
    overflow: hidden;
}


.makeup_area_top {
    top: 0;
}

.makeup_area_bottom {
    bottom: 0;
}


.custom-file-upload {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width: 70px;
    /* height: 160px; */
    cursor: pointer;
    /* position: absolute; */
    top: 70px;
}


.custom-avatar-edit {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    width: 70px;
    /* height: 160px; */
    cursor: pointer;
    position: absolute;
    top: 70px;
}

.avatar_button {
    width: 30px;
    height: 30px;
    background-color: #fff;
    box-shadow: 0px 0px 16px -6px #ccc;
    display: flex;
    justify-content: center;
    border: 1px solid #c4c6ca;
    margin: 1px;
    color: black;
}

.avatar_button div {
    font-size: x-large;
}

.remodal_img {
    margin: 4px;
    background-color: #fff;
    box-shadow: 0px 0px 16px -6px #ccc;
}

.slick-dots {
    position: absolute;
    /* bottom: -25px; */
    display: block;
    width: 100%;
    padding: 0;
    margin: 0;
    list-style: none;
    text-align: center;
    bottom: 0;
}

.small_photo {
    width: 100%;
    box-shadow: 0px 0px 16px -6px #ccc;
    display: flex;
    flex-direction: row;
    height: 138px;
    align-items: flex-start;
    overflow-x: scroll;
    margin-top: 10px;
    z-index: 1;
}

/* .small_photo {
    width: 100%;
    box-shadow: 0px 0px 16px -6px #ccc;
    display: flex;
    flex-direction: row;
  }
   */

.list-upload-small-item {
    width: 70px;
    height: 70px;
    list-style: none;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    margin: 4px;
    /* background-color: #fff; */
    box-shadow: 0px 0px 16px -6px #ccc;
    cursor: pointer;
    border-radius: 100%;
}

.list-small-item {
    width: 70px;
    height: 70px;
    list-style: none;
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
    margin: 4px;
    background-color: #fff;
    box-shadow: 0px 0px 16px -6px #ccc;
    cursor: pointer;
}

.avatar_action {
    border: 5px solid orange !important;
    border-radius: 10px !important;
}

.op_area_pic {
    min-width: 496px !important;
    min-height: 701px !important;
}

/* 
.op_area_gif {
    min-width: 500px;
    min-height: 500px;

} */

.photo_pic {
    min-width: 496px !important;
    min-height: 701px !important;
    max-width: 496px !important;
    max-height: 701px !important;
}

.photo_gif {
    width: 500px;
    height: 500px;
    /* min-width: 500px;
    min-height: 500px;
    max-width: 500px;
    max-height: 500px; */
}

.edit_area {
    padding: 12px;
}

.edit_area_mobile {
    position: absolute !important;
    top: 0;
}

.edit_area_pic {
    position: absolute !important;
    min-width: 496px !important;
    max-width: 496px !important;
}

.edit_area_gif {
    position: absolute !important;
    min-width: 500px !important;
    max-width: 500px !important;
}

.avatar_img {
    display: flex;
    flex-direction: column;
}

.list-inline-item_btn {
    padding: 0 !important;
}

.author_user_avatarUrl {
    width: 100px;
    height: 100px;
    border-radius: 50px;
}


.background_image_frame{
    box-shadow: 0px 0px 10px -4px #ccc;
    border-radius: 12px !important;
}